---
title: Date.prototype.setTime()
slug: Web/JavaScript/Reference/Global_Objects/Date/setTime
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>setTime()</code></strong> method sets the {{jsxref("Date")}} object to the time represented by a number of milliseconds since January 1, 1970, 00:00:00 UTC.</p>

<div>{{EmbedInteractiveExample("pages/js/date-settime.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.setTime(<var>timeValue</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>timeValue</var></code></dt>
 <dd>An integer representing the number of milliseconds since 1 January 1970, 00:00:00 UTC.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The number of milliseconds between 1 January 1970 00:00:00 UTC and the updated date (effectively, the value of the argument).</p>

<h2 id="Description">Description</h2>

<p>Use the <code>setTime()</code> method to help assign a date and time to another {{jsxref("Date")}} object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_setTime">Using setTime()</h3>

<pre class="brush: js notranslate">var theBigDay = new Date('July 1, 1999');
var sameAsBigDay = new Date();
sameAsBigDay.setTime(theBigDay.getTime());
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.settime', 'Date.prototype.setTime')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.setTime")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getTime()")}}</li>
 <li>{{jsxref("Date.prototype.setUTCHours()")}}</li>
</ul>
